namespace SpaceGame.Api.PlayerFaction.Simulation;

public interface IPlayerStateStore
{
    bool TryGetPlayerFaction(string playerId, out PlayerFactionRuntime playerFaction);
    PlayerFactionRuntime GetOrAddPlayerFaction(string playerId, Func<PlayerFactionRuntime> factory);
    IReadOnlyCollection<PlayerFactionRuntime> GetPlayerFactions();
    void Clear();
}
